linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [GIT PULL] Kselftest fixes update for Linux 5.8-rc4
@ 2020-07-02 16:26 Shuah Khan
  2020-07-03  5:40 ` pr-tracker-bot
  0 siblings, 1 reply; 2+ messages in thread
From: Shuah Khan @ 2020-07-02 16:26 UTC (permalink / raw)
  To: Linus Torvalds
  Cc: Jarkko Sakkinen, skhan, linux-kselftest, Linux Kernel Mailing List

[-- Attachment #1: Type: text/plain, Size: 1411 bytes --]

Hi Linus,

Please pull the following Kselftest fixes update for Linux 5.8-rc4.

This kselftest fixes update for Linux 5.8-rc4 consists of tpm test
fixes from Jarkko Sakkinen.

diff is attached.

thanks,
-- Shuah

----------------------------------------------------------------
The following changes since commit 9ebcfadb0610322ac537dd7aa5d9cbc2b2894c68:

   Linux 5.8-rc3 (2020-06-28 15:00:24 -0700)

are available in the Git repository at:

   git://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest 
tags/linux-kselftest-fixes-5.8-rc4

for you to fetch changes up to 377ff83083c953dd58c5a030b3c9b5b85d8cc727:

   selftests: tpm: Use /bin/sh instead of /bin/bash (2020-06-29 14:19:38 
-0600)

----------------------------------------------------------------
linux-kselftest-fixes-5.8-rc4

This kselftest fixes update for Linux 5.8-rc4 consists of tpm test
fixes from Jarkko Sakkinen.

----------------------------------------------------------------
Jarkko Sakkinen (3):
       Revert "tpm: selftest: cleanup after unseal with wrong 
auth/policy test"
       selftests: tpm: Use 'test -e' instead of 'test -f'
       selftests: tpm: Use /bin/sh instead of /bin/bash

  tools/testing/selftests/tpm2/test_smoke.sh | 9 ++-------
  tools/testing/selftests/tpm2/test_space.sh | 4 ++--
  2 files changed, 4 insertions(+), 9 deletions(-)

----------------------------------------------------------------

[-- Attachment #2: linux-kselftest-fixes-5.8-rc4.diff --]
[-- Type: text/x-patch, Size: 1184 bytes --]

diff --git a/tools/testing/selftests/tpm2/test_smoke.sh b/tools/testing/selftests/tpm2/test_smoke.sh
index 663062701d5a..1334e301d2a0 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -1,15 +1,10 @@
-#!/bin/bash
+#!/bin/sh
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
-[ -f /dev/tpm0 ] || exit $ksft_skip
+[ -e /dev/tpm0 ] || exit $ksft_skip
 
 python -m unittest -v tpm2_tests.SmokeTest
 python -m unittest -v tpm2_tests.AsyncTest
-
-CLEAR_CMD=$(which tpm2_clear)
-if [ -n $CLEAR_CMD ]; then
-	tpm2_clear -T device
-fi
diff --git a/tools/testing/selftests/tpm2/test_space.sh b/tools/testing/selftests/tpm2/test_space.sh
index 36c9d030a1c6..00259cb746cf 100755
--- a/tools/testing/selftests/tpm2/test_space.sh
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
-[ -f /dev/tpmrm0 ] || exit $ksft_skip
+[ -e /dev/tpmrm0 ] || exit $ksft_skip
 
 python -m unittest -v tpm2_tests.SpaceTest

^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [GIT PULL] Kselftest fixes update for Linux 5.8-rc4
  2020-07-02 16:26 [GIT PULL] Kselftest fixes update for Linux 5.8-rc4 Shuah Khan
@ 2020-07-03  5:40 ` pr-tracker-bot
  0 siblings, 0 replies; 2+ messages in thread
From: pr-tracker-bot @ 2020-07-03  5:40 UTC (permalink / raw)
  To: Shuah Khan
  Cc: Linus Torvalds, Jarkko Sakkinen, skhan, linux-kselftest,
	Linux Kernel Mailing List

The pull request you sent on Thu, 2 Jul 2020 10:26:58 -0600:

> git://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest tags/linux-kselftest-fixes-5.8-rc4

has been merged into torvalds/linux.git:
https://git.kernel.org/torvalds/c/0dce88451f9c1cc5f1b73818e0608d5f84499e9a

Thank you!

-- 
Deet-doot-dot, I am a bot.
https://korg.wiki.kernel.org/userdoc/prtracker

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-07-03  5:40 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-07-02 16:26 [GIT PULL] Kselftest fixes update for Linux 5.8-rc4 Shuah Khan
2020-07-03  5:40 ` pr-tracker-bot

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).